From 42128fa39fa4fb8178fea0d2a743ceaecc10740a Mon Sep 17 00:00:00 2001
From: Christian Byrne <cbyrne@comfy.org>
Date: Sat, 6 Sep 2025 01:57:08 -0700
Subject: [PATCH 67/77] [fix] Fix `step` prop scaling issue on numeric Vue
 widgets (#5386)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

* use step2 -> step bind on slider widget

* fix: Use step2 instead of legacy step property in WidgetSlider

The WidgetSlider was using the legacy `step` property (10x input spec value)
instead of `step2` (correct input spec value). This caused input spec step
values to appear 10x larger than intended.

- Use `widget.options.step2` (correct input spec value)
- Remove fallback to `widget.options.step` (legacy 10x value)
- Both properties coexist, so step2 should always be preferred

Fixes input spec step values not being respected in Vue node sliders.

🤖 Generated with [Claude Code](https://claude.ai/code)

Co-Authored-By: Claude <noreply@anthropic.com>

---------

Co-authored-by: Claude <noreply@anthropic.com>
---
 .../extensions/vueNodes/widgets/components/WidgetSlider.vue | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/renderer/extensions/vueNodes/widgets/components/WidgetSlider.vue b/src/renderer/extensions/vueNodes/widgets/components/WidgetSlider.vue
index 5bb53784f..a303b4923 100644
--- a/src/renderer/extensions/vueNodes/widgets/components/WidgetSlider.vue
+++ b/src/renderer/extensions/vueNodes/widgets/components/WidgetSlider.vue
@@ -74,9 +74,9 @@ const precision = computed(() => {
 
 // Calculate the step value based on precision or widget options
 const stepValue = computed(() => {
-  // If step is explicitly defined in options, use it
-  if (props.widget.options?.step !== undefined) {
-    return String(props.widget.options.step)
+  // Use step2 (correct input spec value) instead of step (legacy 10x value)
+  if (props.widget.options?.step2 !== undefined) {
+    return String(props.widget.options.step2)
   }
   // Otherwise, derive from precision
   if (precision.value !== undefined) {

